[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.GetClientRect

Returns the client rectangle of a window.

## Declaration

Source position: winapih.inc line 116

`public function TWidgetSet.GetClientRect(`
`handle: HWND;`
`var Rect: TRect`
`):Boolean; virtual;`

## Arguments

`handle` |  | The window handle.
`Rect` |  | Receives the client coordinates.

## Function result

False on failure.

## Description

The client rectangle is the size of the inner area of a control, where e.g. the child controls are visible. Left and Top are always 0.

A child control with Align=alClient will completely fill the client rectangle.